Download it now!
Bug 132597 - Crash in: swlo.dll
Summary: Crash in: swlo.dll
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:6.4.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Crash
  Show dependency treegraph
 
Reported: 2020-05-01 19:05 UTC by Telesto
Modified: 2020-06-15 01:14 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["swlo.dll"]


Attachments
Example file (159.71 KB, application/vnd.oasis.opendocument.text)
2020-05-01 19:05 UTC, Telesto
Details
minimized document (129.76 KB, application/vnd.oasis.opendocument.text)
2020-05-07 09:16 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-05-01 19:05:10 UTC
Created attachment 160195 [details]
Example file

This bug was filed from the crash reporting server and is br-00cc51bd-07a9-450c-90ab-29a75a34abfd.
=========================================

1. Open the attached file
2. CTRL+A
3. CTRL+C
4. CTRL+N
5. CTRL+SHIFT+V
6. CTRL+Z
Comment 1 steve -_- 2020-05-02 09:08:39 UTC
Unable to reproduce on macOS 10.15.4

Version: 6.4.3.2
Build ID: 747b5d0ebf89f41c860ec2a39efd7cb15b54f2d8
CPU threads: 8; OS: Mac OS X 10.15.4; UI render: default; VCL: osx; 
Locale: de-DE (de_DE.UTF-8); UI-Language: en-US
Calc: threaded

1. Open the attached file
2. CTRL+A
3. CTRL+C
4. CTRL+N -> opens new LO file
5. CTRL+SHIFT+V -> opens a dialog making the user choose a file type of the selection, I select "LibreOffice 6.4 TextDocument" and clipboard is pasted (images missing, maybe expected?)
6. CTRL+Z -> no crash, back to blank document.

To reproduce I replaced CTRL with CMD on macOS. Is this windows only?
Comment 2 MM 2020-05-02 09:30:26 UTC
Confirmed on windows 10 x64 with Version: 6.4.4.1 (x64)
Build ID: b50bc319eca5cd5b66fbfe2ebd0d3bd1eed099b5
CPU threads: 12; OS: Windows 10.0 Build 18363; UI render: default; VCL: win

In step 5, select rtf or html, because with lo format it doesn't crash.
And with dde-link it doesn't undo at all.
Comment 3 Julien Nabet 2020-05-04 12:37:35 UTC
On Win10 with master sources updated today, I don't reproduce this.

Telesto: after Ctrl Shift V, there's a dialog where we must choose an option, which one should we take?
Comment 4 Julien Nabet 2020-05-04 12:41:33 UTC
Oups just read MM's comment, I'm gonna try again.
Comment 5 Julien Nabet 2020-05-04 13:13:22 UTC
With rtf or html, it hangs
Comment 6 Telesto 2020-05-05 19:18:27 UTC
RTF it is, and crashes for sure
Comment 7 Xisco Faulí 2020-05-07 09:12:57 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=91b2325808a75174f284c48c8b8afc118fad74e4

author	Michael Stahl <Michael.Stahl@cib.de>	2019-07-11 18:37:28 +0200
committer	Michael Stahl <Michael.Stahl@cib.de>	2019-07-22 08:32:07 +0200
commit	28b77c89dfcafae82cf2a6d85731b643ff9290e5 (patch)
tree	4d26e493cebd1d83025094a3a97b9e878bc2b930
parent	22f2ecbcabf3928d5486690ca6465b7b37bc8a10 (diff)
tdf#117185 tdf#110442 sw: bring harmony & peace to fly at-char selection

Bisected with: bibisect-linux64-6.4

Adding Cc: to Michael Stahl
Comment 8 Xisco Faulí 2020-05-07 09:16:56 UTC
Created attachment 160480 [details]
minimized document
Comment 9 Xisco Faulí 2020-05-07 09:19:22 UTC
No need to create a new document. Also crashes with these steps:

1. Open minimal document
2. Select all
3. Copy
4. Paste as RTF
5. Undo
Comment 10 Xisco Faulí 2020-05-07 09:21:15 UTC
same happening if pasting as HTML
Comment 11 Commit Notification 2020-06-10 08:48:09 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f9fb86408e6e06c262332be26674305ae5c05bb7

tdf#132597 sw: fix inconsistent handling of ExcludeFlyAtStartEnd

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Michael Stahl (CIB) 2020-06-10 08:50:04 UTC
fixed on master
Comment 13 Commit Notification 2020-06-10 13:17:06 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/88024ff027b855b1c7685a11bd1bd139d4948781

tdf#132597 sw: fix inconsistent handling of ExcludeFlyAtStartEnd

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2020-06-10 14:24:30 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/4c42ede07bcc33e81c24b9f35b7ee29a5b1ebfd4

tdf#132597 sw: fix inconsistent handling of ExcludeFlyAtStartEnd

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2020-06-10 21:15:48 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f1e4d462c4a5686bccb3e7bfd615865c18c0efa6

tdf#132597: sw: Add UItest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Xisco Faulí 2020-06-12 16:27:25 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: ff508f6d8a3e58d29e9e7622006a7103fb0a2849
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!!
Comment 17 Commit Notification 2020-06-15 01:12:38 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-5":

https://git.libreoffice.org/core/commit/27f543d40e6edc03b207956791476aaa852cf2e8

tdf#132597 sw: fix inconsistent handling of ExcludeFlyAtStartEnd

It will be available in 6.4.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.